Low CentOS nss-util Security Update

Metadata

medium
4.3
nss-3.16.2-2.el7_0.i686.rpm, nss-3.16.2-2.el7_0.src.rpm, nss-3.16.2-2.el7_0.x86_64.rpm, nss-devel-3.16.2-2.el7_0.i686.rpm, nss-devel-3.16.2-2.el7_0.x86_64.rpm, nss-pkcs11-devel-3.16.2-2.el7_0.i686.rpm, nss-pkcs11-devel-3.16.2-2.el7_0.x86_64.rpm, nss-softokn-3.16.2-1.el7_0.i686.rpm, nss-softokn-3.16.2-1.el7_0.src.rpm, nss-softokn-3.16.2-1.el7_0.x86_64.rpm, nss-softokn-devel-3.16.2-1.el7_0.i686.rpm, nss-softokn-devel-3.16.2-1.el7_0.x86_64.rpm, nss-softokn-freebl-3.16.2-1.el7_0.i686.rpm, nss-softokn-freebl-3.16.2-1.el7_0.x86_64.rpm, nss-softokn-freebl-devel-3.16.2-1.el7_0.i686.rpm, nss-softokn-freebl-devel-3.16.2-1.el7_0.x86_64.rpm, nss-sysinit-3.16.2-2.el7_0.x86_64.rpm, nss-tools-3.16.2-2.el7_0.x86_64.rpm, nss-util-3.16.2-1.el7_0.i686.rpm, nss-util-3.16.2-1.el7_0.src.rpm, nss-util-3.16.2-1.el7_0.x86_64.rpm, nss-util-devel-3.16.2-1.el7_0.i686.rpm, nss-util-devel-3.16.2-1.el7_0.x86_64.rpm
CVE-2014-1492
rhn.redhat.com, lists.centos.org, lists.centos.org, lists.centos.org
2014-08-18
2017-07-27 19:07
Moderate CentOS nss Security Update
Critical CentOS nspr Update
CVE-2014-1492 nss
CVE-2014-1492 icedove
CVE-2014-1492 iceweasel
CVE-2014-1492
2017-04-01 19:08
2017-01-05 20:12

Description


Updated nss, nss-util, and nss-softokn packages that fix one security
issue, several bugs, and add various enhancements are now available for
Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having Low security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

Network Security Services (NSS) is a set of libraries designed to support
the cross-platform development of security-enabled client and server
applications. Applications built with NSS can support SSLv3, TLS, and other
security standards.

It was found that the implementation of Internationalizing Domain Names in
Applications (IDNA) hostname matching in NSS did not follow the RFC 6125
recommendations. This could lead to certain invalid certificates with
international characters to be accepted as valid. (CVE-2014-1492)

In addition, the nss, nss-util, and nss-softokn packages have been upgraded
to upstream version 3.16.2, which provides a number of bug fixes and
enhancements over the previous versions. (BZ#1124659)

Users of NSS are advised to upgrade to these updated packages, which
correct these issues and add these enhancements. After installing this
update, applications using NSS must be restarted for this update to
take effect.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
7 nss nss-3.16.2-2.el7_0.i686.rpm
nss nss-3.16.2-2.el7_0.src.rpm
nss nss-3.16.2-2.el7_0.x86_64.rpm
nss-devel nss-devel-3.16.2-2.el7_0.i686.rpm
nss-devel nss-devel-3.16.2-2.el7_0.x86_64.rpm
nss-pkcs11-devel nss-pkcs11-devel-3.16.2-2.el7_0.i686.rpm
nss-pkcs11-devel nss-pkcs11-devel-3.16.2-2.el7_0.x86_64.rpm
nss-softokn nss-softokn-3.16.2-1.el7_0.i686.rpm
nss-softokn nss-softokn-3.16.2-1.el7_0.src.rpm
nss-softokn nss-softokn-3.16.2-1.el7_0.x86_64.rpm
nss-softokn-devel nss-softokn-devel-3.16.2-1.el7_0.i686.rpm
nss-softokn-devel nss-softokn-devel-3.16.2-1.el7_0.x86_64.rpm
nss-softokn-freebl nss-softokn-freebl-3.16.2-1.el7_0.i686.rpm
nss-softokn-freebl nss-softokn-freebl-3.16.2-1.el7_0.x86_64.rpm
nss-softokn-freebl-devel nss-softokn-freebl-devel-3.16.2-1.el7_0.i686.rpm
nss-softokn-freebl-devel nss-softokn-freebl-devel-3.16.2-1.el7_0.x86_64.rpm
nss-sysinit nss-sysinit-3.16.2-2.el7_0.x86_64.rpm
nss-tools nss-tools-3.16.2-2.el7_0.x86_64.rpm
nss-util nss-util-3.16.2-1.el7_0.i686.rpm
nss-util nss-util-3.16.2-1.el7_0.src.rpm
nss-util nss-util-3.16.2-1.el7_0.x86_64.rpm
nss-util-devel nss-util-devel-3.16.2-1.el7_0.i686.rpm
nss-util-devel nss-util-devel-3.16.2-1.el7_0.x86_64.rpm